- Home
- API Enriched
- Tenant And Identity
- web
- GET combined ntfn preferences.
GET combined ntfn preferences.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/user/combined_notifications';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/user/combined_notifications \ --header 'Authorization: <Authorization>'GET combined ntfn preferences gets user-ntfn-preferences and admin-ntfn-preferences and returns combined result.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”A successful response.
List of notifications.
object
List of notifications.
Definition of existing notifications created for subscription.
object
Code of notification.
Description text of the notification.
Is it enabled.
Public label of the notification.
Examplegenerated
{ "notifications": [ { "code": "example", "description": "example", "enabled": true, "label": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example